Contributor (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.extensions.example

## Interface Contributor

- All Superinterfaces:
    Cloneable, DescriptiveObject, InterchangeObject, MediaEntity, MetadataObject
  All Known Subinterfaces:
    Organisation, Person
  All Known Implementing Classes:
    ContributorImpl, OrganisationImpl, PersonImpl

      public interface Contributor
      extends MediaEntity, Cloneable, DescriptiveObject

  Entity that creates or contributes to a resource.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Contributor` | `clone()` Create a cloned copy of this contributor.
    `String` | `getName()` Returns the name of the contributor.
    `void` | `setName(String name)` Sets the name of the contributor.

    - ### Methods inherited from interface tv.amwa.maj.model.DescriptiveObject

      `getLinkedDescriptiveObjectPluginID, setLinkedDescriptiveObjectPluginID`

    - ### Methods inherited from interface tv.amwa.maj.model.InterchangeObject

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getObjectClass, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setObjectClass, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEntity

      `getPersistentID, setPersistentIndex`

- - ### Method Detail

    - #### getName

          String getName()

      Returns the name of the contributor.

      Returns:
        Name of the contributor.

    - #### setName

          void setName(String name)
                throws NullPointerException

      Sets the name of the contributor.

      Parameters:
        `name` - Name of the contributor.
      Throws:
        `NullPointerException` - Cannot set the required name with a `null` value.

    - #### clone

          Contributor clone()

      Create a cloned copy of this contributor.

      Specified by:
        `clone` in interface `DescriptiveObject`
      Specified by:
        `clone` in interface `InterchangeObject`
      Specified by:
        `clone` in interface `MediaEntity`
      Returns:
        Cloned copy of this contributor.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.